Redmine - Defect #7780

wiki updates do not send email notification
2011-03-04 16:56 - Bart Stuyckens

Status: New Start date: 2011-03-04
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Email notifications Estimated time: 0.00 hour

Target version:

Resolution: Affected version: 1.1.1

Description

| have no clue why it is not working.

email notification for regular tickets is working fine.

In administration > settings > email notifications both "Wiki page added" and "Wiki page updated" are checked.

| am watching a wiki page, but when the wiki page is updated, no notification is sent out.

We are running Redmine 1.1.1, but the problem existed already before.

in the logfile there is a statement that it is sending an email, but the recepient list is empty. (I replaced some text with xxxx)
Processing WikiController#update (for 10.10.174.40 at 2011-03-04 16:34:37) [PUT]

Parameters: {"commit"=>"Save", "project_id"=>"all", "action"=>"update", "_method"=>"put", "authe
nticity_token"=>"xxxxx", "id"=>"Wiki_test", "content"=>{"comments"=>"", "text"=>"hl. Wiki test ttt
t", "version"=>"5"}, "controller"=>"wiki", "attachments"=>{"1"=>{"description"=>""}}}

Sending email notification to:

Redirected to https://xxxx/redmine/projects/all/wiki/Wiki_test
Completed in 94ms (DB: 47) | 302 Found [https://xxxx/projects/all/wiki/Wiki_test]

History

#1 - 2011-03-04 17:01 - Etienne Massip

- Category set to Email notifications

#2 - 2011-03-04 17:01 - Etienne Massip
- Affected version (unused) set to 1.1.1

- Affected version setto 1.1.1

#3 - 2011-03-04 17:38 - Bart Stuyckens

fyi: we run redmine as a sub-URI. Can this be the cause ?

#4 - 2011-03-04 17:52 - Etienne Massip

No.

What do you find in log if you don't check the "Use bcc" option (in administration / e-mail notification) ?

#5 - 2011-03-04 23:17 - Bart Stuyckens
- File emailsettings.JPG added

this setting is not checked. see screenshot attached.

#6 - 2011-03-22 18:37 - Radik Usupov

We have exactly the same problem.

When you create a task, assignee doesn't receive the notification. But when he is added to the "watchers", he can receive notifications.
When this problem will be solved?

This is very critical for out company :(
#7 - 2011-03-22 19:54 - Etienne Massip

Radik Usupov wrote:

We have exactly the same problem.
When you create a task, ...

This is not the same problem ; you are talking about issue notification, which is a bit different from wiki notification.

Your issue can be related to a missed db migration, have a look to #7451.

#8 - 2011-03-23 07:41 - Radik Usupov

Etienne Massip wrote:

Your issue can be related to a missed db migration, have a look to #7451.

A lot of thanks!

Files

emailsettings.JPG 47.7 KB 2011-03-04 Bart Stuyckens
